Update: As of this edit 12/23/16, the current supported version of the Citrix Receiver is 4.3.1 If you receive this error, please reinstall this version. 
Download from instructions: How to download and install the Citrix Receiver